Viewing 30 posts - 1 through 30 (of 35 total)
  • Author
    Posts
  • #994537

    Hey everyone!

    Hope ya’ll are having a great summer :)

    If you have updated WordPress to 4.9.8, you might have noticed that you are now able to test Gutenberg, which will be default editor when WordPress 5 releases.

    Enfold 4.4.1 is not compatible with Gutenberg however our devs have already started working on it and improvements/fixes will be included in Enfold 4.4.2. We may need to push back release date of Enfold 4.4.2 a little while our devs are working on Gutenberg compatibility.
    As Kriesi has (Purchase code hidden if logged out) -statement/#post-943629″ target=”_blank”>stated before, we will make Enfold 100% compatible with Gutenberg :)

    That being said, we would like to share Gutenberg snippet for those who would not like to wait for Enfold 4.4.2. You can add this code snippet – https://github.com/KriesiMedia/enfold-library/blob/master/temp_fixes/Enfold_4_4_1/config-gutenberg/gutenberg_snippet.php (without PHP opening tag) to the bottom of Functions.php file in Appearance > Editor.

    We would recommend you to (Purchase code hidden if logged out) /#why-child-theme” target=”_blank”>use a child theme and delete the code snippet before updating Enfold to 4.4.2 as we are going to be adding configuration files into enfold/config-gutenberg folder.

    Also, please keep in mind that Gutenberg has not officially released, so please do not test it on your production site.

    If you have any questions or issues to report, please share them on this thread :)

    Regards,
    Yigit

    #995127

    Greetings and thank you for the great support!

    Is the snippet to be removed BEFORE or AFTER 4.4.2? I see that one of my sites is already is using 4.4.2 as of today’s login. (The snippet says “Can be removed when directory enfold/config-gutenberg exists after updating the theme.” and your instructions say before.)

    Please advise.

    Thank you!

    • This reply was modified 2 months, 1 week ago by  cindybird52.
    #995159

    Hi @cindybird52,

    Enfold 4.4.2 is not released yet, therefore you would need to delete the snippet BEFORE updating to official Enfold 4.4.2 as it will already include these changes.

    Cheers!
    Yigit

    #995164

    Thank you for the quick reply and clarification.

    Cheers!

    Cindy

    #995933

    sorry my english bad (

    in Gutenberg no button – Do not display images in posts

    look like in the old version
    https://hostingkartinok.com/show-image.php?id=22fec530b9b93de5f857b595a8372d9e

    #996259

    Hi,

    Did you add this code snippet – https://github.com/KriesiMedia/enfold-library/blob/master/temp_fixes/Enfold_4_4_1/config-gutenberg/gutenberg_snippet.php (without PHP opening tag) to the bottom of functions.php file in Appearance > Editor?

    Best regards,
    Dude

    #996619

    Hi,
    yep i add this
    Classic Editor and Advanced Layout Builder – work, but in Gutenberg no button

    #996630

    Hi,

    Advanced Layout builder ALB is currently not supported in Gutenberg. You have to decide if you want to create a page/post in the classic way (with posibility to use ALB) OR in Gutenberg style. The php and js code and the logic Gutenberg creates its elements and the page layout is completely different from the ALB.

    We are currently checking for a possibility to integrate the ALB in Gutenberg.

    Best regards,
    Günter

    #996636

    okay^ thank you !

    #1000074

    You know what would be great? If we had the option to pick either Gutenberg or the ALB for Pages and for Posts. So, for example, all my pages are always done in ALB, I want to keep them that way but the blog posts are just plain TinyMCE for most of the sites I manage and I’d like to see what the hoopla is all about with Gutenberg.
    Then again, I know this is a major change so, if I have to pick, I pick ALB!!
    Best regards,
    Havi

    #1000159

    Hi Havi,

    I agree, that would be really nice, but I think it won’t be possible in the near future at least. Though it’s something we would strive towards of course :-)

    Best regards,
    Rikard

    #1000740

    Awesome! Will this code snippet work with my Snippets Plugin? I usually add snippets to this rather than messing with any function.php files…
    Just wanted to make sure that the exact syntax will work?
    thanks!

    #1001061

    Hi jomo5280,

    I’m not sure I understand what you mean by that, could you post an actual example of what you are currently doing?

    Best regards,
    Rikard

    #1001341

    I use snippets plugin so i do not have to edit the functions file – i just wanted to know if the Guttenberg Snipped code ^ is correct syntax – or do i have to change it?

    Example use of how i enable debug mode in enfold:

    //set builder mode to debug
    add_action('avia_builder_mode', "builder_set_debug");
    function builder_set_debug()
    {
      return "debug";
    }

    sorry if this is confusing ;)
    thanks!

    • This reply was modified 1 month, 3 weeks ago by  jomo5280.
    #1001509

    Hi,

    Thanks for clarifying, I don’t think there should be any difference when it comes to functions like that.

    Best regards,
    Rikard

    #1011715

    Thanks Yigit. Appreciate this.

    When you do guys anticipate WordPress 5.0 coming, and when will Enfold be updated to be fully compatible with that?

    https://datadriven.design/ (Purchase code hidden if logged out)(Purchase code hidden if logged out) -is-coming/

    Paul

    #1011718

    Hi!

    We’ll continue here: https://kriesi.at/support/topic/wordpress-5-0-prep/

    Best regards,
    Peter

    #1012089

    It has been 1.5 months since Yigit’s original post.
    Is the testing done?
    Is it compatiable with LayerSlider 6.7.6 (the current version).
    Can you please provide an update?
    Thank you.

    #1012094

    Wondering here also. An update on any progress is greatly appreciated. Loyal user of Enfold.

    #1012183

    Hello,
    ok, Gutemberg will be embeded in wp5 but we have the choice to keep the actual editor, will further versions of Enfold be compatible with both editors ? or only with gutemberg ?
    Thank you

    #1012284

    Hi,

    You’ll have the choice between the advanced layout builder or Gutenberg. You can’t use both together but you can choose which editor you want to use for the page/post.

    Best regards,
    Peter

    #1012405

    @dude

    just for my understanding: ENFOLD will never be able to use ALB AND Gutenberg?
    I remember that someone here in the forum told that you are developping a solution to integrate ENFOLD/ALB with Gutenberg?

    #1012407

    Thank you Peter, and what about the editor inside a Layout Builder Avia bloc text element ? will it change ?
    Best regards

    #1012620

    Hi,

    @comkapi: It will not change, at least not yet.

    @Gitte: Yes, that’s probably the case because Gutenberg is a totally different editor/builder.

    Best regards,
    Ismael

    #1016967
    This reply has been marked as private.
    #1016989

    Hi ylwong,

    I see that you have started 5 threads, 3 of which have the same title. All of them have been replied to by moderators. Could you try to stick to one thread per problem please? Posting off topic problems in non-related threads makes things complicated for everyone.

    https://kriesi.at/support/profile/ylwong/topics/

    Best regards,
    Rikard

    #1017013

    Hi Rikard,

    Ok so what is the solutions to solve ?

    #1017048

    Hi ylwong,

    Did you read what I (Purchase code hidden if logged out) /#post-1016989″ rel=”noopener” target=”_blank”>wrote here? Please stick to the topic of the thread, and preferably in your own thread.

    Best regards,
    Rikard

    #1017299

    Can you please test the most current version of LayerSlider before you release the upcoming (2nd week of October) version of Enfold (with the newest version of LayerSlider included in the update)?
    What can I do to help?
    Thank you.

    #1018303

    Hi,

    The issue here is that as we are embedding the version of LayerSlider, we need to release it with our update so it can be a valid test from our side.

    Best regards,
    Basilis

Viewing 30 posts - 1 through 30 (of 35 total)

You must be logged in to reply to this topic.